GET api/medistreamprogramstepapi/steps/{programId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| programId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"id": "f58a4713-3a28-4b92-86b7-388db45034c0",
"program_id": "ef994840-f736-4dbf-9cac-744c7d2341c8",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "45b58b7d-697b-44ba-ac23-144cb41be243",
"active": true
},
{
"id": "f58a4713-3a28-4b92-86b7-388db45034c0",
"program_id": "ef994840-f736-4dbf-9cac-744c7d2341c8",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "45b58b7d-697b-44ba-ac23-144cb41be243",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOfmedistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<medistream_program_step>
<active>true</active>
<code>3</code>
<id>f58a4713-3a28-4b92-86b7-388db45034c0</id>
<medistream_program_step_type_id>45b58b7d-697b-44ba-ac23-144cb41be243</medistream_program_step_type_id>
<name>sample string 4</name>
<program_id>ef994840-f736-4dbf-9cac-744c7d2341c8</program_id>
</medistream_program_step>
<medistream_program_step>
<active>true</active>
<code>3</code>
<id>f58a4713-3a28-4b92-86b7-388db45034c0</id>
<medistream_program_step_type_id>45b58b7d-697b-44ba-ac23-144cb41be243</medistream_program_step_type_id>
<name>sample string 4</name>
<program_id>ef994840-f736-4dbf-9cac-744c7d2341c8</program_id>
</medistream_program_step>
</ArrayOfmedistream_program_step>